Qt Reference Documentation

# QHelpIndexModel Class Reference

The QHelpIndexModel class provides a model that supplies index keywords to views. More...

     #include <QHelpIndexModel>

Inherits: QStringListModel.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

void | createIndex ( const QString & customFilterName )
QModelIndex | filter ( const QString & filter, const QString & wildcard = QString() )
bool | isCreatingIndex () const
QMap<QString, QUrl> | linksForKeyword ( const QString & keyword ) const

- 10 public functions inherited from QStringListModel
- 2 public functions inherited from QAbstractListModel
- 35 public functions inherited from QAbstractItemModel
- 29 public functions inherited from QObject

## Signals

void | indexCreated ()
void | indexCreationStarted ()

- 18 signals inherited from QAbstractItemModel
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 2 public slots inherited from QAbstractItemModel
- 1 public slot inherited from QObject
- 7 static public members inherited from QObject
- 21 protected functions inherited from QAbstractItemModel
- 8 protected functions inherited from QObject
- 1 protected slot inherited from QAbstractItemModel

## Detailed Description

The QHelpIndexModel class provides a model that supplies index keywords to views.

## Member Function Documentation

### void QHelpIndexModel::createIndex ( const QString & customFilterName )

Creates a new index by querying the help system for keywords for the specified customFilterName.

### QModelIndex QHelpIndexModel::filter ( const QString & filter, const QString & wildcard = QString() )

Filters the indices and returns the model index of the best matching keyword. In a first step, only the keywords containing filter are kept in the model's index list. Analogously, if wildcard is not empty, only the keywords matched are left in the index list. In a second step, the best match is determined and its index model returned. When specifying a wildcard expression, the filter string is used to search for the best match.

### void QHelpIndexModel::indexCreated ()`[signal]`

This signal is emitted when the index has been created.

### void QHelpIndexModel::indexCreationStarted ()`[signal]`

This signal is emitted when the creation of a new index has started. The current index is invalid from this point on until the signal indexCreated() is emitted.

See also isCreatingIndex().

### bool QHelpIndexModel::isCreatingIndex () const

Returns true if the index is currently built up, otherwise false.

### QMap<QString, QUrl> QHelpIndexModel::linksForKeyword ( const QString & keyword ) const

Returns all hits found for the keyword. A hit consists of the URL and the document title.